Bug 508040 - Windows XP not using all CPUS
Windows XP not using all CPUS
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Lawrence Lim
: Reopened
Depends On:
Blocks: 509345
  Show dependency treegraph
Reported: 2009-06-25 06:16 EDT by Gleb Natapov
Modified: 2014-03-25 20:58 EDT (History)
11 users (show)

See Also:
Fixed In Version: kvm-83-122.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 509345 (view as bug list)
Last Closed: 2010-03-30 03:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gleb Natapov 2009-06-25 06:16:58 EDT
Description of problem:
WindowsXP uses only two cpus even if kvm provide more

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run kvm -smp 4 with windowsxp guest
2. wait for windows to complete booting
3. check number of cpus monitors in task manager (if there is 1 install smp HAL)
Actual results:
2 cpu monitors

Expected results:
4 cpu monitors

Additional info:
This is not, strictly speaking, a bug, since WindowsXP deliberately refuses to use more then 2 physical cpus, but we can pretend that we have 2 cpus with 2 cores and make windowsxp to use all of them.
Comment 10 RHEL Product and Program Management 2009-07-13 11:59:45 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 14 Mark McLoughlin 2009-08-19 10:11:22 EDT
New patches posted upstream by Andre Przywara from AMD:

Comment 15 Mark McLoughlin 2009-09-03 12:42:04 EDT
The following is what ended up being committed:


Syntax: -smp smp_value[,cores=nr_cores][,threads=nr_threads][,socket=nr_sockets][,maxcpus=max_cpus]
Comment 26 errata-xmlrpc 2010-03-30 03:56:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.